server:
  port: 9000
  compression:
    enabled: true
    mime-types: application/json,application/xml,text/html,text/xml,text/plain,text/css,text/javascript,application/javascript
    min-response-size: 1024
  tomcat:
    max-swallow-size: 100MB
    max-http-form-post-size: 100MB

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS

spring:
  application:
    name: proxy-service
  servlet.multipart.max-file-size: 100MB
  servlet.multipart.max-request-size: 500MB

logging:
  file:
    name: logs/proxy.log
  level:
    org.slf4j: 'INFO'
    net.larboard: 'INFO'

zuul:
  sensitiveHeaders:
  ignoredServices: '*'

hystrix.command.default.execution.isolation.thread.timeoutInMilliseconds: 126000
ribbon:
  ConnectTimeout: 3000
  ReadTimeout: 60000

application:
  actuator:
    jwt-key-host: eureka:admin-service
    jwt-key-url: /public
    jwt-issuer: net.larboard.sba
